Cyberduck Mountain Duck CLI

#11020 closed defect (fixed)

Error message 'Filename length exceeds maximum length 146' during upload

Reported by: rootie Owned by: yla
Priority: high Milestone: 7.3.1
Component: cryptomator Version: 7.3.0
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

Hi,

there's a serious bug in Cyberduck's new Cryptomator engine vor vault version 7. I have an online-only vault that has already been migrated to Cryptomator's new vault version and was able to upload / download lots of files already. But for some unknown reason I can't upload the docx file attached to this ticket. I've also included the error log that is shown in the message box.

There's nothing written in the log window so the message box is the only input I can give to you. I've even tried to upload the file to the root of the vault with no success.

Please analyze and fix this accordingly. In case you need any more input, don't hesitate to contact me.

This affects both Windows and Mac versions of Cyberduck 7.3.0.

Attachments (2)

This is a test document that leads to an error message.docx (58 bytes) - added by rootie on Apr 6, 2020 at 2:07:25 PM.
File that can't be uploaded
ErrorLog.txt (4.0 KB) - added by rootie on Apr 6, 2020 at 2:07:34 PM.
Error Log

Download all attachments as: .zip

Change History (6)

Changed on Apr 6, 2020 at 2:07:25 PM by rootie

File that can't be uploaded

Changed on Apr 6, 2020 at 2:07:34 PM by rootie

Error Log

comment:1 Changed on Apr 18, 2020 at 9:45:42 AM by rootie

  • Owner set to dkocher

Hi,

I've now tested uploading such 'long files' through the Cryptomator app 1.5.0 for iOS which was released yesterday and it worked like a charm. This must have to do something with an incorrect limit inside Cryptomator. I understand that the maximum path length must not exceed a certain value, but no matter in which directory I try to upload certain files - they just don't work.

I think there's something going wrong in the calculation of the full path length value.

The bug is still set to 'New'. Please provide input on an estimated time of completion or at least analysis as this is quite a serious issue.

comment:2 Changed on Apr 18, 2020 at 2:07:15 PM by dkocher

  • Component changed from onedrive to cryptomator
  • Milestone set to 7.3.1
  • Owner changed from dkocher to yla

comment:3 Changed on Apr 20, 2020 at 3:45:35 PM by yla

I can confirm that this is a bug in the Cryptomator Vault version 7 implementation. We currently do not support long filenames (>146 characters) for v7 vaults but the current implementation checks this threshold on the encrypted filename instead of the cleartest filename.

comment:4 Changed on Apr 21, 2020 at 8:57:32 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r49050.

Note: See TracTickets for help on using tickets.
swiss made software